* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

a {
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-focus-ring-color: transparent;
    outline: none;
    -webkit-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
}

body {
    background: #f5f5f5;
    height: 100vh;
    max-width: 400px;
    margin: 0px auto;
}

i {
    vertical-align: middle;
}

@font-face {
    font-family: 'Shutterlocks';
    src: url('../fonts/Shutterlocks.woff2') format('woff2'),
         url('../fonts/Shutterlocks.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

.gold-frame {
    max-width: 400px;
    width: 100%;
    height: 100vh;
    padding: 5px;
    animation: blinkGold 0.3s infinite alternate;
}

.content {
    width: 100%;
    height: 100%;
    background-image: url(../images/gr-cl-bg-opt.webp);
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
    text-align: center;
}

@keyframes blinkGold {
    0% {
        background: linear-gradient(
            45deg,
            #8b5a00,
            #f7d774,
            #c69320,
            #fff2a6,
            #c69320,
            #f7d774,
            #8b5a00
        );
    }
    100% {
        background: linear-gradient(
            45deg,
            #8b5a00,
            #f7d774,
            #c69320,
            #fff2a6,
            #c69320,
            #f7d774,
            #8b5a00
        );
    }
}

.gb-sk-bl {
    width: 80%;
    margin: 0 auto;
    background: url('../images/gb-sk-bl-opt.png') no-repeat center;
    background-size: contain;
    aspect-ratio: 50 / 11;
    position: relative;
    padding-top: 80px;
}

.gb-sk-bl-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    font-family: 'Shutterlocks';
    font-size: 50px;
    background: linear-gradient(
        to bottom,
        #fff6c4 0%,
        #f7d774 20%,
        #d4a93a 40%,
        #fff2a6 50%,
        #c69320 65%,
        #f7d774 80%,
        #8b5a00 100%
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: 2px 2px 3px rgba(0,0,0,0.2);
    -webkit-text-stroke: 1px #6e4b00;
}

.cnt-txt-p {
    padding: 10px;
    text-align: center;
    font-family: "Protest Riot", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-transform: capitalize;
    font-size: 24px;
    color: #fff;
    text-shadow: 2px 0px 2px #000;
}

.fun-title {
    font-size: 70px;
    font-family: 'Shutterlocks';
    font-weight: normal;
    display: inline-block;
    background: linear-gradient(
        to bottom,
        #825a1f 0%,
        #c6ab5e 50%,
        #825a1f 100%
    );
    background-size: 300% 300%;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
    animation: blinkGoldtxt 0.5s infinite alternate;
    text-shadow: 2px 2px 3px rgba(0,0,0,0.2);
    -webkit-text-stroke: 1px #c69320;
}

@keyframes blinkGoldtxt {
    0% {
        filter: brightness(1);
    }
    100% {
        filter: brightness(1.6);
    }
}

.wa-btn {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 20px;
    height: 60px;
    padding: 0 35px 0 5px;
    border-radius: 60px;
    text-decoration: none;
    background: transparent;
    margin-top: 10px;
}

.wa-btn::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 60px;
    padding: 3px;
    background: linear-gradient(
        45deg,
        #8b5a00,
        #f7d774,
        #c69320,
        #fff2a6,
        #c69320,
        #f7d774,
        #8b5a00
    );
    -webkit-mask:
        linear-gradient(#000 0 0) content-box,
        linear-gradient(#000 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    animation: goldBlinkSc 1s infinite alternate;
    pointer-events: none;
}

.wa-icon {
    width: 54px;
    height: 54px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -5px;
    background: linear-gradient(
        to bottom,
        #fff6c4 0%,
        #f7d774 40%,
        #c69320 70%,
        #8b5a00 100%
    );
}

.wa-icon i {
    font-size: 24px;
    background: linear-gradient( to bottom, #8b5a00, #d9a75b, #8b5a00 );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.wa-number {
    font-size: 25px;
    font-family: Yatra One;
    font-weight: bold;
    background: linear-gradient(
        to bottom,
        #fff6c4,
        #f7d774,
        #c69320,
        #8b5a00
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

@keyframes goldBlinkSc {
    0% { filter: brightness(1); }
    100% { filter: brightness(1.4); }
}